<template>
  <div class="wrap">
    <button style="backgroundColor:lightgray" @click="reduce">减d</button>
    <Child :a="a" :b="b" :c="c" :d="d" @reduce="reduce"/>
  </div>
</template>

<script>

import Child from './Child'

export default {
  name: 'Parent',
  data () {
    return {
      msg: 'Parent',
      a: 1,
      b: 2,
      c: 3,
      d: 100
    }
  },
  components:{
    Child
  },
  methods:{
    reduce() {
      this.d--;
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
